Bug 1020072 - listing cartridges in an app is not backward compatible.
listing cartridges in an app is not backward compatible.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 20:06 EDT by Peter Ruan
Modified: 2015-05-14 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:24:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-10-16 20:06:41 EDT
Description of problem:
listing cartridges in an app is not backward compatible.  I get a 404 when trying to use the old url format

Old URL has the format:
https://<server>/broker/rest/domains/<domain_name>/applications/<app_name>/cartridges

New format:
https://<server>/broker/rest/application/<app_id>/cartridges


Version-Release number of selected component (if applicable):
DEVENV/PROD/

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Xiaoli Tian 2013-10-17 06:18:37 EDT
This may break JBoss Tools
Comment 2 Xiaoli Tian 2013-10-17 06:40:36 EDT
(In reply to xiaoli from comment #1)
> This may break JBoss Tools

Ignore comment 1, confirmed JBoss tools still work well against current STG at least while adding cartridge
Comment 3 Fabiano Franz 2013-10-18 14:56:40 EDT
This is known and the desired behavior, a few REST API links changed in version 1.6. We suggest the API clients always specify the API version being used through the Accept header, like in:
"Accept: application/json; version=1.5"
Comment 4 Peter Ruan 2013-10-18 15:55:31 EDT
Fabiano:
  The bug was referring to changes to the URL within the same API version (1.6).  Prior to sprint 34, the old links works.  The membership US caused the a lot of the REST URLs to be different but according to Clayton, the old links should still work.  Reopening this bug.
Comment 6 Jianwei Hou 2013-10-22 03:22:20 EDT
This bug is fixed with above PR, will mark as verified once it's merged into master
Comment 7 zhaozhanqi 2013-10-22 06:35:05 EDT
Tested this bug on devenv_3928, it has been fixed.

Both old format and new format are work well.

Old format:

https://ec2-54-224-181-209.compute-1.amazonaws.com/broker/rest/domains/zqd/applications/zqphp/cartridges

New format:
https://ec2-54-224-181-209.compute-1.amazonaws.com/broker/rest/domain/zqd/application/zqphp/cartridges

Note You need to log in before you can comment on or make changes to this bug.